DependSelector (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.selectors, class: DependSelector

Package org.apache.tools.ant.types.selectors

# Class DependSelector

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.selectors.BaseSelector
org.apache.tools.ant.types.selectors.MappingSelector
org.apache.tools.ant.types.selectors.DependSelector

All Implemented Interfaces:
  `java.lang.Cloneable`, `ResourceSelector`, `FileSelector`

    public class DependSelector
    extends MappingSelector

Selector that filters files based on whether they are newer than a matching file in another directory tree. It can contain a mapper element, so isn't available as an ExtendSelector (since those parameters can't hold other elements).

Since:
  1.5

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.selectors.MappingSelector

  `granularity, map, mapperElement, targetdir`

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DependSelector()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `selectionTest​(java.io.File srcfile, java.io.File destfile)` | this test is our selection test that compared the file with the destfile
  `java.lang.String` | `toString()` | Basic DataType toString().

  ### Methods inherited from class org.apache.tools.ant.types.selectors.MappingSelector

  `addConfigured, createMapper, isSelected, setGranularity, setTargetdir, verifySettings`

  ### Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector

  `getError, setError, setError, validate`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

  `isSelected`

- ## Constructor Details

  - ### DependSelector

    public DependSelector()

- ## Method Details

  - ### toString

    public java.lang.String toString()
    Description copied from class: `DataType`
    Basic DataType toString().
    Overrides:
      `toString` in class `DataType`
    Returns:
      a string describing this object

  - ### selectionTest

    public boolean selectionTest​(java.io.File srcfile, java.io.File destfile)
    this test is our selection test that compared the file with the destfile
    Specified by:
      `selectionTest` in class `MappingSelector`
    Parameters:
      `srcfile` - the source file
      `destfile` - the destination file
    Returns:
      true if destination is out of date